patches and low-level development discussion
 help / color / mirror / code / Atom feed
From: Alyssa Ross <hi@alyssa.is>
To: devel@spectrum-os.org
Cc: Demi Marie Obenour <demiobenour@gmail.com>
Subject: [PATCH 1/2] scripts/make-gpt.sh: set -o pipefail
Date: Fri, 28 Nov 2025 22:17:10 +0100	[thread overview]
Message-ID: <20251128211710.462696-2-hi@alyssa.is> (raw)

Wasn't POSIX at the time this script was originally written!

Suggested-by: Demi Marie Obenour <demiobenour@gmail.com>
Link: https://spectrum-os.org/lists/archives/spectrum-devel/20251127174054.2056835-2-hi@alyssa.is/
Signed-off-by: Alyssa Ross <hi@alyssa.is>
---
 scripts/make-gpt.sh | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/scripts/make-gpt.sh b/scripts/make-gpt.sh
index 3cae441..e39828b 100755
--- a/scripts/make-gpt.sh
+++ b/scripts/make-gpt.sh
@@ -1,4 +1,4 @@
-#!/bin/sh -eu
+#!/bin/sh --
 #
 # SPDX-FileCopyrightText: 2021-2023 Alyssa Ross <hi@alyssa.is>
 # SPDX-FileCopyrightText: 2022 Unikie
@@ -6,6 +6,8 @@
 #
 # usage: make-gpt.sh GPT_PATH PATH:PARTTYPE[:PARTUUID[:PARTLABEL]]...
 
+set -euo pipefail
+
 ONE_MiB=1048576
 
 # Prints the number of 1MiB blocks required to store the file named

base-commit: d76e9b29aea9f31238d07e21db50d3fe6a80da5a
-- 
2.51.0


             reply	other threads:[~2025-11-28 21:17 UTC|newest]

Thread overview: 4+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-11-28 21:17 Alyssa Ross [this message]
2025-11-28 21:44 ` [PATCH v3 2/2] scripts/make-gpt.sh: allow setting partition size Alyssa Ross
2025-11-29 11:16   ` Alyssa Ross
2025-11-29 11:16 ` [PATCH 1/2] scripts/make-gpt.sh: set -o pipefail Alyssa Ross

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20251128211710.462696-2-hi@alyssa.is \
    --to=hi@alyssa.is \
    --cc=demiobenour@gmail.com \
    --cc=devel@spectrum-os.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://spectrum-os.org/git/crosvm
	https://spectrum-os.org/git/doc
	https://spectrum-os.org/git/mktuntap
	https://spectrum-os.org/git/nixpkgs
	https://spectrum-os.org/git/spectrum
	https://spectrum-os.org/git/ucspi-vsock
	https://spectrum-os.org/git/www

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).